Subject: bug#21634: text-scale-adjust suggestion

From: Robert Pluim <[email-masked]>
Date: Tue, 05 Jul 2022 15:21:15 +0200

>>>>> On Tue, 05 Jul 2022 13:15:42 +0200, Lars Ingebrigtsen <[email-masked]> said:

    Lars> Juri Linkov <[email-masked]> writes:
    >> format-spec is a nice helper.  Here are the changes after
    >> the value of %k is automatically generated from the keys:
    >> 
    >> emoji-zoom-increase:
    >> OLD: Zoom with + and -
    >> NEW: Zoom with +, -
    >> 
    >> indent-rigidly:
    >> OLD: Indent region with <left>, <right>, S-<left>, or S-<right>.
    >> NEW: Indent region with TAB, <left>, <right>, S-<left>, S-<right>

    Lars> I think the final ", " in these lists should be an " or " instead -- I
    Lars> think that reads better.

Yes

    >> global-text-scale-adjust:
    >> OLD: Use +,-,0 for further adjustment
    >> NEW: Use +, =, -, 0, ESC for further adjustment
    >> 
    >> ESC is because map-keymap handles only top-level keys
    >> but C-M-+ is [ESC C-+].

    Lars> Hm.  We don't have any function that'll just spit out all the "real" key
    Lars> binding in a keymap somewhere?  I.e., that results in a list with keys a
    Lars> la what's displayed by `C-h b'?  I guess not, but that sounds like a
    Lars> useful utility function to have, and could be used here.

I think the guts of `describe-repeat-mapsʼ does something like that.

Robert
--